var tmpl=`
<div id="pie" :style="piestyle">
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:["piestyle","data"],
   data:function(){
     return {
       option:this.data,
     };
   },
   methods:{
     setSteps(msteps){
        this.steps=msteps;
     },
     buildEcharts(id){
         var obj = echarts.init(document.getElementById(id));
         var options = this.option;
         obj.setOption(options);

     },
   },
   created:function(){

   },
   mounted:function(){
    var id=Math.round(Math.random()*500);
     $('#pie').attr('id','pie_'+id);
     this.buildEcharts("pie_"+id);
   },
   vname:"gsb-pie"
}`
